/* -*- c++ -*- */

%feature("autodoc", "1");		// generate python docstrings

%include "exception.i"
%import "gnuradio.i"			// the common stuff

%{
#include "gnuradio_swig_bug_workaround.h"	// mandatory bug fix
#include "dsrc_nrzi_to_nrz_bb.h"
#include "dsrc_nrz_to_nrzi_bb.h"
#include "dsrc_nrz_to_fm0_bb.h"
#include "dsrc_fm0_to_nrz_bb.h"
#include "dsrc_pulse_shaper_bs.h"
#include <stdexcept>
%}

// ----------------------------------------------------------------

/*
 * First arg is the package prefix.
 * Second arg is the name of the class minus the prefix.
 *
 * This does some behind-the-scenes magic so we can
 * access dsrc_nrzi_to_nrz_bb from python as dsrc.nrzi_to_nrz_bb and so on
 */


GR_SWIG_BLOCK_MAGIC(dsrc,nrzi_to_nrz_bb);

dsrc_nrzi_to_nrz_bb_sptr dsrc_make_nrzi_to_nrz_bb (bool preload);

class dsrc_nrzi_to_nrz_bb : public gr_sync_block
{
private:
  dsrc_nrzi_to_nrz_bb (bool preload);
};

// ----------------------------------------------------------------

GR_SWIG_BLOCK_MAGIC(dsrc,nrz_to_nrzi_bb);

dsrc_nrz_to_nrzi_bb_sptr dsrc_make_nrz_to_nrzi_bb (bool preload);

class dsrc_nrz_to_nrzi_bb : public gr_sync_block
{
 private:
  dsrc_nrz_to_nrzi_bb (bool preload);
};

// ----------------------------------------------------------------

GR_SWIG_BLOCK_MAGIC(dsrc,nrz_to_fm0_bb);

dsrc_nrz_to_fm0_bb_sptr dsrc_make_nrz_to_fm0_bb (bool preload);

class dsrc_nrz_to_fm0_bb : public gr_sync_interpolator
{
 private:
  dsrc_nrz_to_fm0_bb (bool preload);
};

// ----------------------------------------------------------------

GR_SWIG_BLOCK_MAGIC(dsrc,fm0_to_nrz_bb);

dsrc_fm0_to_nrz_bb_sptr dsrc_make_fm0_to_nrz_bb ();

class dsrc_fm0_to_nrz_bb : public gr_sync_interpolator
{
 private:
  dsrc_fm0_to_nrz_bb ();
};

// ----------------------------------------------------------------

GR_SWIG_BLOCK_MAGIC(dsrc,pulse_shaper_bs);

dsrc_pulse_shaper_bs_sptr dsrc_make_pulse_shaper_bs (short v_max, short v_min, int preload, int interpolation);

class dsrc_pulse_shaper_bs : public gr_sync_interpolator  // gr_sync_interpolator
{
 private:
  dsrc_pulse_shaper_bs (short v_max, short v_min, int preload, int interpolation);
};
